// Fill out your copyright notice in the Description page of Project Settings.


#include "Ocean.h"

// Sets default values
AOcean::AOcean()
{
 	// Set this actor to call Tick() every frame.  You can turn this off to improve performance if you don't need it.
	PrimaryActorTick.bCanEverTick = true;

	OceanMesh = CreateDefaultSubobject<UStaticMeshComponent>(TEXT("OceanMesh"));
	OceanMesh->SetupAttachment(RootComponent);

	OceanMesh->SetCollisionEnabled(ECollisionEnabled::NoCollision);
}

float AOcean::GetOceanHeight()
{
	/**
	 * For now assume a completely flat static ocean.
	 * Once we get into procedural ocean and wave generation we will want to be able to pass in a world X and Y position
	 * and have this function return the height of the ocean at that location 
	 */ 
	return GetActorLocation().Z;
}

// Called when the game starts or when spawned
void AOcean::BeginPlay()
{
	Super::BeginPlay();
	
}

// Called every frame
void AOcean::Tick(float DeltaTime)
{
	Super::Tick(DeltaTime);

}

